Ryzom - Feature # 926

Status: Closed Priority: Normal
Author: ThibG Category: OS: GNU/Linux
Created: 05/22/2010 Assignee: kervala
Updated: 07/28/2010 Due date:

Subiject: Modesetting with X11

Description

Currently, NeL's OpenGL driver handle mode changes only on windows.
Here is a patch to hopefuly fix this issue.
(may need some testing, especially on MacOS)

History

#1 - 05/22/2010 11:26 pm - rti

On Mac X11, resolution switching works but the xf86vm extension is missing, so fullscreen does not work properly.

#2 - 05/23/2010 06:04 pm - kervala

There seems to be some paddings issues on 64 bits systems else it's working fine with Metacity :)

#3 - 05/23/2010 08:17 pm - rti

Except fullscreen (See above) no issues on mac 64 bit.

#4 - 06/02/2010 11:18 am - ThibG
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r256.

#5 - 06/02/2010 11:27 am - kervala
- Assignee set to kervala

- Target version set to Version 0.8.0

Thanks for the patch :)

#6 - 07/15/2010 04:46 pm - kervala

- Status changed from Resolved to Closed

#7 - 07/28/2010 10:09 am - kervala
- Category changed from NeL: General to OS: GNU/Linux
nel-X11-modesetting.patch 8.2kB 05/22/2010 ThibG
